Access to create gerrit groups for WMDE-Leszek
Closed, ResolvedPublic

Description

I would like to nominate WMDE-Leszek to be able to create new Gerrit groups.
Currently at WMDE I am the only person that can do this (that I know of), and I gained the ability while requesting access to create repos in T185594.
Leszek is in a more sensible position to be the person creating & modifying these groups.

I guess the solution for this would again be to add leszek to https://gerrit.wikimedia.org/r/#/admin/groups/119,members unless there is a more appropriate group.

Addshore created this task.Jul 25 2018, 8:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2018, 8:55 AM
Addshore moved this task from Backlog to Watching on the User-Addshore board.Jul 26 2018, 11:23 AM
Paladox moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Jul 31 2018, 1:09 AM
Paladox added a subscriber: Paladox.

We could add the user to this https://gerrit.wikimedia.org/r/admin/groups/119,members group which will grant them "create repos" and "create groups" rights in addition to other rights.

Create groups or create repositories? I don't know why anyone would need permissions for the former without the latter.

Create groups or create repositories? I don't know why anyone would need permissions for the former without the latter.

Create groups specifically.

This is so that he can manage the users in our wmde-* groups that we use for easy adding of reviewers for patches for various projects / teams rather than me (im currently the only other person at WMDE that can do this afaik).
Just removing overhead and delays.

greg triaged this task as Normal priority.Wed, Nov 21, 12:25 AM
greg added a subscriber: greg.

Gah, I'm not a gerrit admin, I would have JFDI now.

Mentioned in SAL (#wikimedia-releng) [2018-11-21T20:49:37Z] <hashar> gerrit: added WMDE-leszek to group "Gerrit Managers" https://gerrit.wikimedia.org/r/#/admin/groups/119,members | T200311

hashar closed this task as Resolved.Wed, Nov 21, 9:02 PM
hashar claimed this task.
hashar added a subscriber: hashar.

The group Gerrit Manager is used on All-Projects.git, that is usually the ancestor of all projects (operations/* are on their own iirc).

That grants the ability to create and delete projects, edit any repos configuration, C+2/V+2 anywhere https://gerrit.wikimedia.org/r/#/admin/projects/All-Projects,access

@WMDE-leszek in the Web UI you should now see in the menu: ProjectsCreate Project

Some documentation about access control:
https://gerrit.wikimedia.org/r/Documentation/access-control.html

Don't forget to set a parent project when creating a new one. Eg mediawiki/extensions/WikibaseLux should have for parent mediawiki/extensions